> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Text to Image

> This endpoint generates an image from a text prompt using Krea 2 Turbo model.

> [!WARNING]
>
> Make sure you add your [s3 details](https://docs.modelslab.com/enterprise-api/general/update-s3-details.mdx) for `krea_2_turbo` server, so you can receive image generated in your bucket.
> Images generated without s3 details being added will be delete after **24hours**

## Request

Make a `POST` request to below endpoint and pass the required parameters as a request body.

```curl curl theme={"theme":{"light":"github-light","dark":"github-dark"}}
--request POST 'https://modelslab.com/api/v1/enterprise/krea_2_turbo/text2img' \
```

## Body

```json json theme={"theme":{"light":"github-light","dark":"github-dark"}}
{  
  "key" : "enterprise_api_key", 
  "prompt": "ultra realistic close up portrait ((beautiful pale cyberpunk female with heavy black eyeliner))",  
  "negative_prompt": "bad quality",  
  "width": "512",  
  "height": "512",  
  "safety_checker": false,  
  "seed": null,  
  "samples":1,  
  "base64":false,  
  "webhook": null,  
  "track_id": null
}
```

## Body Attributes

**key** `string` *required*

Your API Key used for request authorization.

**prompt** `string` *required*

Text prompt with description of the things you want in the image to be generated.

**negative\_prompt** `string`

Items you don't want in the image.

**width** `number`

Max Height: Width: 1024x1024.

**height** `number`

Max Height: Width: 1024x1024.

**samples** `number`

Number of images to be returned in response. The maximum value is 4.

**safety\_checker** `boolean`

A checker for NSFW images. If such an image is detected, it will be replaced by a blank image.

**seed** `number`

Seed is used to reproduce results. Same seed will give you the same image again. Pass *null* for a random number.

**instant\_response** `boolean` (default: false)

Queue response instantly before processing finishes instead of waiting a minimum amount of time. **default**: `false`, **options**: `true` or `false`.

**base64** `boolean` (default: false)

Get response as base64 string. **default**: `false`, **options**: `true` or `false`.

**webhook** `string`

Set a URL to get a POST API call once the image generation is complete.

**track\_id** `string`

This ID is returned in the response to the webhook API call. This will be used to identify the webhook request.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.